Git::SVN::Utils(3pm)

NAME
Git::SVN::Utils - utility functions used across Git::SVN

SYNOPSIS
    use Git::SVN::Utils qw(functions to import);

DESCRIPTION
This module contains functions which are useful across many different parts of Git::SVN. Mostly it's a place to put utility functions rather than duplicate the code or have classes grabbing at other classes.

FUNCTIONS
All functions can be imported only on request.

fatal

    fatal(@message);

Display a message and exit with a fatal error code.

can_compress

    my $can_compress = can_compress;

Returns true if Compress::Zlib is available, false otherwise.

canonicalize_path

    my $canoncalized_path = canonicalize_path($path);

Converts $path into a canonical form which is safe to pass to the SVN API as a file path.

canonicalize_url

    my $canonicalized_url = canonicalize_url($url);

Converts $url into a canonical form which is safe to pass to the SVN API as a URL.

join_paths

    my $new_path = join_paths(@paths);

Appends @paths together into a single path. Any empty paths are ignored.

add_path_to_url

    my $new_url = add_path_to_url($url, $path);

Appends $path onto the $url. If $path is empty, $url is returned unchanged.